######################################################################
#
#	 Microsoft make file for CDemo application
#
#	 Author:  Wade H. Cobb
#
######################################################################
MODEL=M                    
DEBUG=1

LNK	= CDemo.lnk
!if $(DEBUG)
LFLAGS = /NOD/CO/NOLOGO
CFLAGS = -c -A$(MODEL) -nologo -GAs -GEf -Odw -W3 -Zpie $<
!else
LFLAGS = /NOD/NOLOGO
CFLAGS = -c -A$(MODEL) -nologo -GAs -GEf -Os -W3 -Zpie $<
!endif

OBJECTS=CDemo.obj register.obj globals.obj 

.c.obj:
   cl $(CFLAGS)

.rc.res:
   rc -r $<

CDemo.exe: $(OBJECTS) CDemo.def CDemo.res
	@echo CDemo.obj +>$(LNK)
   @echo globals.obj +>>$(LNK)
   @echo register.obj, >>$(LNK)
	@echo CDemo.exe /ALIGN:16, >>$(LNK)
	@echo CDemo.map/MAP/LI, >>$(LNK)
	@echo $(LFLAGS) libw.lib $(MODEL)libcew.lib commdlg cphotov.lib, CDemo.def >>$(LNK)
	link <CDemo.lnk
	rc CDemo.res CDemo.exe

CDemo.obj:  CDemo.c internal.h resdefs.h

globals.obj:  globals.c internal.h resdefs.h

register.obj:  register.c internal.h resdefs.h

CDemo.res:  CDemo.rc resdefs.h CDemo.ico CDemo.dlg

