/***************************************************************

   Module:           register.c

   Description:      Registers all windows for the PhotoV C Demo
                     application.

   Author:           Wade H. Cobb

   Date:             2/20/93

****************************************************************/
#define STRICT
#include <windows.h>
#include "resdefs.h"
#include "internals.h"

BOOL regWindows()
{
   BOOL     bRet=FALSE;
   WNDCLASS wndclass;

       // Register frame window
   wndclass.style         = CS_BYTEALIGNCLIENT;
   wndclass.lpfnWndProc   = (WNDPROC)WndProc;
   wndclass.cbClsExtra    = 0;
   wndclass.cbWndExtra    = 0;
   wndclass.hInstance     = hInstMain;
   wndclass.hIcon         = LoadIcon(hInstMain, szAppName);
   wndclass.hCursor       = LoadCursor(NULL, IDC_ARROW);
   wndclass.hbrBackground = (HBRUSH)GetStockObject(WHITE_BRUSH);
	wndclass.lpszMenuName  = "MainMenu";
   wndclass.lpszClassName = szAppName;

   if (!RegisterClass(&wndclass))
      bRet=TRUE;

   return bRet;
} 
